# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: gosocial_sep_1
    category: CDev\GoSocial
    type: separator
    orderby: 5000
    translations: [{code: en, option_name: 'Facebook application settings'}]
    module: CDev\GoSocial
  - name: fb_app_id
    category: CDev\GoSocial
    type: text
    orderby: 5100
    translations: [{code: en, option_name: 'Facebook Application ID', option_comment: 'Facebook Platform application ID that administers your site pages. You can get this ID by visiting the page at <a href="https://developers.facebook.com/apps/">https://developers.facebook.com/apps/</a><br /><br />You should specify this field:<ul><li>to make your site statistics appear in the Facebook Insights dashboard</li><li>to enable a moderator interface on Facebook where comments from all product pages can be easily moderated together</li></ul>'}]
    module: CDev\GoSocial
  - name: fb_app_namespace
    category: CDev\GoSocial
    type: text
    orderby: 5200
    translations: [{code: en, option_name: 'Facebook Application Namespace', option_comment: 'Specify the same app namespace that you entered when configured your Facebook Platform application.'}]
    module: CDev\GoSocial
  - name: fb_admins
    category: CDev\GoSocial
    type: text
    orderby: 5300
    translations: [{code: en, option_name: 'Facebook Admins', option_comment: 'Comma-separated list of the Facebook User IDs of page administrators. Include at least your own Facebook User ID.'}]
    module: CDev\GoSocial
  - name: gosocial_sep_6
    category: CDev\GoSocial
    type: separator
    orderby: 1000
    translations: [{code: en, option_name: 'Facebook Share Button settings'}]
    module: CDev\GoSocial
  - name: fb_share_use
    category: CDev\GoSocial
    type: checkbox
    orderby: 1050
    value: true
    translations: [{code: en, option_name: 'Display the Share button on product pages', option_comment: 'The Share button lets a customer share your product pages with friends on Facebook.'}]
    module: CDev\GoSocial
  - name: gosocial_sep_2
    category: CDev\GoSocial
    type: separator
    orderby: 1300
    translations: [{code: en, option_name: 'Facebook Like Button settings'}]
    module: CDev\GoSocial
  - name: like_settings_warning
    category: CDev\GoSocial
    type: CDev\GoSocial\View\FormField\Label\LikeSettingsWarning
    orderby: 1325
    value: true
    translations: [{code: en, option_name: 'We recommend using the Share button instead of Like.'}]
    module: CDev\GoSocial
  - name: fb_like_use
    category: CDev\GoSocial
    type: checkbox
    orderby: 1350
    value: false
    translations: [{code: en, option_name: 'Display the Like button on product pages', option_comment: 'The Like button lets a customer share your product pages with friends on Facebook. The button will not be displayed if Facebook application id is not set.'}]
    module: CDev\GoSocial
  - name: fb_like_layout
    category: CDev\GoSocial
    type: CDev\GoSocial\View\FormField\Select\FBLayoutStyle
    orderby: 1400
    value: button_count
    translations: [{code: en, option_name: 'Layout style', option_comment: 'There are three options:<ul><li>"standard" - displays social text to the right of the button and friends'' profile photos below</li><li>"button" - displays the total number of likes to the right of the button</li><li>"box" - displays the total number of likes above the button.</li></ul>'}]
    module: CDev\GoSocial
  - name: fb_like_verb
    category: CDev\GoSocial
    type: CDev\GoSocial\View\FormField\Select\FBVerbDisplay
    orderby: 1440
    value: like
    translations: [{code: en, option_name: 'The verb to display in the Like button'}]
    module: CDev\GoSocial
  - name: fb_like_colorscheme
    category: CDev\GoSocial
    type: CDev\GoSocial\View\FormField\Select\FBLikeColorScheme
    orderby: 1460
    value: light
    translations: [{code: en, option_name: 'The color scheme for the like button'}]
    module: CDev\GoSocial
  - name: gosocial_sep_21
    category: CDev\GoSocial
    type: separator
    orderby: 1500
    translations: [{code: en, option_name: 'Facebook comments settings'}]
    module: CDev\GoSocial
  - name: fb_comments_use
    category: CDev\GoSocial
    type: checkbox
    orderby: 1600
    value: true
    translations: [{code: en, option_name: 'Display the Facebook Comments tab on product pages', option_comment: 'To moderate comments, specify your Facebook User ID in the "Facebook Admins" field below.<br />To enable the moderator interface on Facebook where comments from all product pages can be easily moderated together, specify your Facebook App ID in the "Facebook Application ID" field below.'}]
    module: CDev\GoSocial
  - name: fb_comments_num_posts
    category: CDev\GoSocial
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 1700
    value: 8
    widgetParameters: {min: 1}
    translations: [{code: en, option_name: 'Number of posts to show on the tab by default'}]
    module: CDev\GoSocial
  - name: fb_comments_colorscheme
    category: CDev\GoSocial
    type: CDev\GoSocial\View\FormField\Select\FBCommentsColorScheme
    orderby: 1750
    value: light
    translations: [{code: en, option_name: 'The color scheme for the comments'}]
    module: CDev\GoSocial
  - name: gosocial_sep_3
    category: CDev\GoSocial
    type: separator
    orderby: 2000
    translations: [{code: en, option_name: 'Tweet button settings'}]
    module: CDev\GoSocial
  - name: tweet_use
    category: CDev\GoSocial
    type: checkbox
    orderby: 2050
    value: true
    translations: [{code: en, option_name: 'Display the Tweet button on product pages', option_comment: 'The Tweet button allows customers to easily share your product pages with their X (Twitter) followers.'}]
    module: CDev\GoSocial
  - name: tweet_show_count
    category: CDev\GoSocial
    type: checkbox
    orderby: 2100
    value: true
    translations: [{code: en, option_name: 'Show the count box along with the Tweet button', option_comment: 'The count box shows how many times the product page has been Tweeted.'}]
    module: CDev\GoSocial
  - name: tweet_via
    category: CDev\GoSocial
    type: text
    orderby: 2200
    value: ''
    translations: [{code: en, option_name: 'Account name of the user to attribute the Tweet to (optional)', option_comment: 'Also used as username of website in Twitter Card Tags'}]
    module: CDev\GoSocial
  - name: tweet_recommend
    category: CDev\GoSocial
    type: text
    orderby: 2300
    translations: [{code: en, option_name: 'Account name of the user to follow after sending a Tweet (optional)', option_comment: 'X (Twitter) will suggest that customers follow this user once they have sent a Tweet using the Tweet button.'}]
    module: CDev\GoSocial
  - name: tweet_hashtag
    category: CDev\GoSocial
    type: text
    orderby: 2300
    translations: [{code: en, option_name: 'Hashtag to show within the Tweet button and in the text of the tweet status (optional)'}]
    module: CDev\GoSocial
  - name: gosocial_sep_5
    category: CDev\GoSocial
    type: separator
    orderby: 4000
    translations: [{code: en, option_name: 'Pinterest button settings'}]
    module: CDev\GoSocial
  - name: pinterest_use
    category: CDev\GoSocial
    type: checkbox
    orderby: 4050
    value: true
    translations: [{code: en, option_name: 'Display the Pinterest button on product pages'}]
    module: CDev\GoSocial
XLite\Model\Product\GlobalTab:
  - service_name: Comments
    position: 30
XLite\Model\LanguageLabel:
  - name: Tweet
    translations: [{code: en, label: Tweet}]
  - name: 'We recommend to use share button instead of like'
    translations: [{code: en, label: 'We recommend using the Share button instead of Like.'}]
  - name: 'These Open Graph meta tags were generated automatically based on general product information.'
    translations: [{code: en, label: 'These Open Graph meta tags were generated automatically based on general product information.'}]
  - name: 'Pin It'
    translations: [{code: en, label: 'Pin It'}]
  - name: Pin
    translations: [{code: en, label: Pin}]
  - name: Share
    translations: [{code: en, label: Share}]
